package vaadinspringjee6.module;

import javax.ejb.CreateException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;

@Stateless
public class GreetingServiceBean  implements SessionBean{
    private SessionContext sctx;
    public void setSessionContext(SessionContext sessioncontext)
    {
        sctx = sessioncontext;
    }

    public void ejbCreate()throws CreateException
    {
    }

    public void ejbRemove()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }
    public String sayHello(String name) {
        return "Hello " + name + "!";
    }
}